package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 申述记录
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class ComplaintRecordDTO {
    /**
     * 申述人
     */
    private String representationName;
    /**
     * 所属科室
     */
    private String deptName;

    /**
     * 申述结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date complaintDate;
    /**
     * 病人住院序号
     */
    private String behospitalCode;
    /**
     * 患者姓名
     */
    private String name;
    /**
     * 申述模块
     */
    private String representationModule;
    /**
     * 缺陷详情
     */
    private String defectContent;
    /**
     * 审核人
     */
    private String reviewerName;
    /**
     * 审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date AuditDate;

    /**
     * 操作类型
     */
    private String operationType;

    /**
     * 状态
     */
    private String state;

}
